API References v20
Addresses
/getAllAddressGroups
1 min
POST
/getAllAddressGroups
-------------------- Request --------------------
.. code-block::
getAllAddressGroups()
----
**Response Example:**
.. code-block::
{
"FunctionData":
{
"AddressGroupsData": [
{
"AddressGroupDataSignedByCold": {
"AddressGroupId": "1",
"AddressGroupName": "All Cold contacts",
"Assets": [
"ADA",
"APP",
"ATOM",
"AVAX",
"BCH"
],
"Contacts": {
"1001:addr_test1qp0kjs2pl5850hj95ewrppay3ahwrr6mjguhy7cpce7qftlm378g9gvgv7gtrn3jwgs9zusuzr42ad7rnr3s9gcsw2mssvu8cw": [
"ADA"
],
"10001:0x047969bf3902d6ee5Db4f0C5e8B826e48affddf1": [
"APP"
],
"1007:cosmos136xz6jhw92wjz459vp7vr3694kah7ez2ctzf3m": [
"ATOM"
],
"10000:0x047969bf3902d6ee5Db4f0C5e8B826e48affddf1": [
"AVAX"
],
"2:bchtest:qpdss8xqt7sz4he4v4j48dxdzx89cl55rg4pen0pv9": [
"BCH"
]
},
"Created": {
"Time": "2025-09-30 09:33:53",
"User": "System"
},
"LastUpdated": {
"Time": "2026-03-09 08:23:10",
"User": {
"Email": "[email protected]",
"FullName": "barak dahouki"
}
},
"Time": "2026-04-10 09:44:08.483"
}
}
],
"ColdSnapshotId": "1775814248301567709",
"MpcAddressGroupsData": [
{
"AddressGroupDataSignedByMpc": {
"AddressGroupId": "1",
"AddressGroupName": "All MPC contacts",
"Assets": [
"ADA",
"APP",
"ATOM",
"AVAX",
"BCH"
],
"Contacts": {
"1001:addr_test1qp0kjs2pl5850hj95ewrppay3ahwrr6mjguhy7cpce7qftlm378g9gvgv7gtrn3jwgs9zusuzr42ad7rnr3s9gcsw2mssvu8cw": [
"ADA"
],
"10001:0x047969bf3902d6ee5Db4f0C5e8B826e48affddf1": [
"APP"
],
"1007:cosmos136xz6jhw92wjz459vp7vr3694kah7ez2ctzf3m": [
"ATOM"
],
"10000:0x047969bf3902d6ee5Db4f0C5e8B826e48affddf1": [
"AVAX"
],
"2:bchtest:qpdss8xqt7sz4he4v4j48dxdzx89cl55rg4pen0pv9": [
"BCH"
]
},
"Created": {
"User": "System"
},
"LastUpdated": {
"User": "System"
},
"Time": "2026-04-12 19:36:35.754"
}
}
],
"MpcSnapshotId": "1776022595754105948"
},
"Meta": {
"AccessToken": "58f08df6e369fa4d126e1ba5c7f66cf85c9c79df32d05fee8f3c542121c87cf5",
"Destination": "044fd7dc60304b8aceeb662ce41bf9d9cc132278c0871c0a72fb4f3cecbabb25a86e43ae28dab21a95c64e2db76abdcfffb9bfdeec67a21399cfa5f555f01d054b",
"Source": "be1f60e490b8ccabcc02a4595817b8edf45905d24944e87b8e3cae27f158df63843bfc4b09d37a5e752017b74ea2d136af272bea210f059e768e1ea8777aaf21e9",
"Time": "2025-10-19 15:04:13.129"
}
}
----
Retrieve all address group data signed by cold and MPC.
**return**: JSON filled with signed address group data.
**example**: None yet.
acceptstringGenerated from available response content types
bodyobject
200success
curl --request POST \
--url /getAllAddressGroups \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"Meta": {
"FunctionName": "getAllAddressGroups",
"Time": "2021-02-07T18:37:46.948Z"
}
}'